commit 0e0bc17992251f32ba43990e41c52b36ad344515
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Mon Jun 6 12:08:49 2022 +0200

    tag as 1.4.1

commit 580b05a7f312231315db72ed6f8b4695e4c2ef65
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jun 1 18:38:15 2022 +0200

    Merge pull request #88 from ailin-nemui/arraycopy
    
    fix missing len in g_array_copy
    
    (cherry picked from commit 47b0661e9689d870f6ad499259368a7860880f2f)

commit 7207a26d1eafc708926598b7046687e6d88e5f77
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Tue May 31 10:25:01 2022 +0200

    revert branding

commit a558430a0ad624f0848a3f84772b1e6e4ccccfdd
Merge: 7d673653 612fdb9c
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Tue May 31 10:20:57 2022 +0200

    Merge tag '1.4.0-an' into HEAD

commit 612fdb9c2dd9d420a6e16399afadbbc02b357527
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Sun May 29 20:46:17 2022 +0200

    tag as 1.4.0-an

commit cbb155e73c0b63323befd7eb4a4dfa27d7e8c495
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Sat Feb 19 00:20:00 2022 +0100

    remove install_rpath
    
    reported by dwfreed / Unit193
    
    (cherry picked from commit e692f85f4a388d8bcaec9d3c5e475fc7cb5a6271)

commit 84de64d6dac3e746e2ff528ad75dae4fd48743c0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu May 26 00:20:13 2022 +0200

    Merge pull request #84 from ailin-nemui/ignore-leak
    
    avoid memory leak in ignore cache
    
    (cherry picked from commit af5feb16be3390340434f5c1838684c3bd9eb91a)

commit d6bc4cf5b719ac0956102133ac95ed65b1f0c12c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 11 12:11:18 2022 +0100

    Merge pull request #76 from ailin-nemui/scroll_page_count
    
    fix scroll_page_count settings with .
    
    (cherry picked from commit 84a98d0e0843b33c030798778e6b537a9d6141b2)

commit d193ca1784a1f6ebfe4b023b295c01ea9a18010a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Apr 24 15:40:54 2022 +0200

    Merge pull request #83 from ailin-nemui/shelp
    
    new SHELP default alias
    
    (cherry picked from commit 4cec2d98c5cd5d70f8694759de577da4e230830f)

commit afed542bfbe481dff03c51cd0763366f30107670
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 21 23:02:17 2022 +0200

    Merge pull request #82 from ailin-nemui/progval-help
    
    Format RPL_HELPSTART/RPL_HELPTXT/RPL_ENDOFHELP
    
    (cherry picked from commit b446d06b9dd5e2c4d7d279da52c5e499d463d8e6)

commit 1598c88cfd85ac01ab26d5e9fd9a8391a1c4accb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 11 12:09:26 2022 +0100

    Merge pull request #77 from ailin-nemui/fix_ignore_help
    
    Clarify the help for /ignore -time
    
    (cherry picked from commit c62505386f19fd1a2310883f32535f36966f2803)

commit 3e9a270562442682b712c980f3ae8b57b1008ff6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 20 16:29:21 2022 +0100

    Merge pull request #72 from ailin-nemui/load-silent-doc
    
    add -silent switch in syntax comment and respect it without args
    
    (cherry picked from commit 06a7dcad991c83e9df92f6765164bcfef6c34108)

commit 8530917397f1f50ff7c785c4f0d62b070a005f68
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 19 23:24:58 2022 +0100

    Merge pull request #70 from ailin-nemui/update-screenshot
    
    update screenshot
    
    (cherry picked from commit 854c88da03a277162c4f8ac98f001cea53640529)

commit aa54da381199b2c7c417c6e151228bf07956e5f0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 19 11:00:34 2022 +0100

    Merge pull request #68 from ailin-nemui/gint64fmt
    
    use gint64 define
    
    (cherry picked from commit cf6bc311723d130a507a8a6c927c479dbf124299)

commit 45b6df790213071ccb129c7f9645a7264c88a74e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 19 10:58:05 2022 +0100

    Merge pull request #67 from ailin-nemui/spelling
    
    spelling fixes
    
    (cherry picked from commit 7ec61c4ec0be3fbbdca30c2587c8464e093d7b9a)

commit 44ad0fce90b913a5e50f54073b26edf321104f47
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 11 14:17:49 2022 +0100

    Merge pull request #60 from ailin-nemui/paste
    
    Add "paste event" signal
    
    (cherry picked from commit 738931762b1c1c2cc442df00b8e9cd5adc027f05)

commit dc15cc3969b2fa84bfc80f5623e46496d98cecd2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 6 14:38:57 2022 +0100

    Merge pull request #61 from ailin-nemui/actlist_separator
    
    Actlist separator
    
    (cherry picked from commit d523ceacf0335c5da151fc51600f3623b0297338)

commit 5997b2654b88c34ffb923005dd0efd184a9178ee
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 6 16:33:20 2022 +0100

    Merge pull request #58 from ailin-nemui/erase-cutbuffer
    
    Add empty_kill_clears_cutbuffer option
    
    (cherry picked from commit 27008bf447f29eec39fae081113f9d4574ce5e0b)

commit baf2a43da2d1bde46f0b34867e2b129a91d32567
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 31 10:47:31 2022 +0100

    Merge pull request #57 from ailin-nemui/lr-skip-visible
    
    Make window left/right skip windows that are already visible in other…
    
    (cherry picked from commit 53187de6a20f772c81cfe568c6696043405a3fd0)

commit 26c4cd8bbf096ecf23a86d3ed24940b716408f87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 17 11:17:59 2021 +0100

    Merge pull request #50 from ailin-nemui/gliblog
    
    Improve handling of GLib log messages
    
    (cherry picked from commit 0e3f6aa4a25cc8f3d526c86cd985315683028c41)

commit 27046adabeff832175d8f267775d757b98904970
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 6 01:11:41 2022 +0100

    Merge pull request #59 from ailin-nemui/ilog-domain
    
    fix crash when accessing settings during shutdown
    
    (cherry picked from commit cc411a1be009b9c6eac9811abeff10d8bab0efc8)

commit ff0e76bbb9473bd560a5028b07d7b4755387a9c5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 10 22:16:46 2021 +0200

    Merge pull request #45 from ailin-nemui/server-outgoing
    
    simplify duplicate code in outgoing modify
    
    (cherry picked from commit f5d74bd81bbe6cb39588e6d0ad9276ad8f7ac02a)

commit 7d673653a13ed1123665e36270d1a578baefd9e5
Merge: e31d42b3 6d2cfc24
Author: Tom Wesley <tom@tomaw.net>
Date:   Mon Apr 25 18:09:44 2022 +0100

    Merge pull request #1372 from dwfreed/rebrand-1.3.2
    
    Merge Nei's changes

commit 6d2cfc24b7e1a254d5cdb0202a55d58973c9da33
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Apr 24 20:40:01 2022 +0000

    Clean up remaining branding reverts

commit 2f700bebc7dcd89ad893f1b4a288987419daeec9
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Apr 24 20:07:30 2022 +0000

    NEWS: remove 2 lines that would be confusing

commit 0bd7fc459c7c9c6f217537fba59524a3cec93d21
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Mon Feb 21 16:50:10 2022 +0100

    revert branding

commit 2e6375d4ff103681e7af8e012fa541503117c690
Merge: 920e827a b60b0f0f
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Fri Jan 21 13:37:41 2022 +0100

    Merge tag '1.3.2-an' into HEAD

commit b60b0f0ff94acae339cf36b611f03e318362b006
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Jan 14 13:18:41 2022 +0100

    tag as 1.3.2-an

commit 3603d47990480d4899a79f2bae815996975ce068
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 14 11:29:25 2022 +0100

    Merge pull request #56 from ailin-nemui/line-bookmark
    
    fix crash in Perl's $view->set_bookmark
    
    (cherry picked from commit 95e3fea62236b606b9c9e4d0c4231c75589ef71f)

commit c96a8d9fae80384be56e2a87e7d967066919fb90
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 30 23:23:53 2021 +0100

    Merge pull request #54 from ailin-nemui/chantypes
    
    use chantypes instead of # for irc channel defaults
    
    (cherry picked from commit f7fd4d72e488081f180fc1f4cc8bb269e50a9067)

commit 85a6ade7e883b582afb230abd5afa302d0f42c49
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Dec 17 22:42:13 2021 +0100

    tag as 1.3.1-an

commit dbf9fc3dfcc1752003f7e167261b917d5b94aaf2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Dec 17 22:29:15 2021 +0100

    Merge pull request #53 from ailin-nemui/keepops
    
    keep own ops status on /upgrade
    
    (cherry picked from commit a2feef5e735d3bb3d5a4eecb05e813ba6bd2fe95)

commit 6763be847f781c4e8bcaad6ab9973d05566f0a56
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 1 23:34:53 2021 +0100

    Merge pull request #52 from ailin-nemui/help
    
    fix help text wrt SERVER LIST command
    
    (cherry picked from commit 8281b103108820aa104c8e0fe5c33960838d2f99)

commit bb1957bafbc740db0ebaf5b3d084945f636f2c9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 1 22:51:43 2021 +0100

    Merge pull request #51 from ailin-nemui/help
    
    fix help text wrt SERVER command
    
    (cherry picked from commit d33fd0c5da2287f5496a4a78940490f0c4466428)

commit 920e827ae56b22d5fa2e5f3510c7e20cd7484016
Merge: 82d2cd88 2cdcf861
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Dec 1 13:37:13 2021 +0100

    Merge commit '2cdcf86174b420091372edd295dc81cda8b46d8f' into HEAD

commit 05063da9995f1d7b69f02a36a4f6d861dfbf891e
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Nov 11 10:54:09 2021 +0100

    tag as 1.3.0-pre8

commit eed9b32f9718ab516df66065c983fac742b8693d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 10 14:12:47 2021 +0100

    Merge pull request #49 from ailin-nemui/dccmsgs
    
    fix stuck meta on dcc chat
    
    (cherry picked from commit a54a00c803067bfc669658f64aaac54dfe95c69b)

commit bdadbb183f5ac53ff33c872a022580fc6ccb4e56
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 9 14:48:54 2021 +0100

    Merge pull request #48 from ailin-nemui/news
    
    add news ref
    
    (cherry picked from commit b9f773ba6a8913eff2812da122a62528550b0534)

commit 47f8582e68637b118a713a8115c7c54db3b2afb2
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Oct 11 22:10:47 2021 +0200

    update NEWS

commit 23abfb912368e96c57797ac90298f5b194861a87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 11 22:08:14 2021 +0200

    Merge pull request #44 from ailin-nemui/lag
    
    fix max_lag disconnect
    
    (cherry picked from commit 6db881d8ef70b261b1f237188b53a1de76c6fadb)

commit 3bb8c619e231ada6ffa99d44f88917389cad00a3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 10 12:45:21 2021 +0200

    Merge pull request #43 from ailin-nemui/server-outgoing
    
    remove newline from "server outgoing modify"
    
    (cherry picked from commit ea961623f575529ab2a94d7d394b399d29729b57)

commit 44298db8143d2da7fba6a641123425f91b97918f
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Oct 6 15:37:15 2021 +0200

    chghost news

commit 96d99534c349f6843ed65751be5f4e58cbac7349
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 29 19:11:35 2021 +0200

    update NEWS

commit 5bff40593f4331466e27ac3a4c947654884325be
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 29 18:59:09 2021 +0200

    Merge pull request #41 from ailin-nemui/ports
    
    fix /server modify port argument order
    
    (cherry picked from commit 235c5b03281a3ae5c7849921cebbf7d46d39a4fc)

commit 0ba449d8be26b047eea3b0b7e4ecdcba906f03f8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 22 12:33:10 2021 +0200

    Merge pull request #39 from ailin-nemui/sync
    
    run syncdocs.sh and syncscripts.sh
    
    (cherry picked from commit 85a9dc146d803be344bf3806395ac294d6929c13)

commit 117758fb9046a859ecfacaab7ab1a7a2e35377e6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 22 11:25:32 2021 +0200

    Merge pull request #40 from ailin-nemui/gh-actions
    
    update github actions ubuntu version to 18.04 and meson to <0.60.0
    
    (cherry picked from commit db705278d2f766433d3c28f776241c4997efde70)

commit 0932bbed7b1f51a00cfee231632e67ab9118da75
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 21 22:35:30 2021 +0200

    Merge pull request #37 from ailin-nemui/int-min-reached
    
    fix pedantic error in MSGLEVEL enum
    
    (cherry picked from commit b0fdbb144d5c5723269b2571761b0a073a392454)

commit 8b49cd012dc4af4040eb4ef03939e80072d40a5f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 15 17:56:45 2021 +0200

    Merge pull request #36 from ailin-nemui/missing-hilights
    
    correctly store updated message levels e.g. from /hilight
    
    (cherry picked from commit ad8221835c90969a6ba87807b072ba9f4d63bd48)

commit 0f3e95892de7e7a360336fcc9739e770916a9156
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 8 13:03:14 2021 +0200

    Merge pull request #35 from ailin-nemui/fixes
    
    duplicate issue in NEWS
    
    (cherry picked from commit d3e105a3963cbc693ac316ae884b000902999828)

commit 42f749346b375ccd5e46527a21ff2e7192273f5f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 8 13:03:03 2021 +0200

    Merge pull request #34 from ailin-nemui/no-maxline
    
    remove oragono.io/maxline-2
    
    (cherry picked from commit 7e1401140412361b813accd99aa367658435c12f)

commit 2cdcf86174b420091372edd295dc81cda8b46d8f
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 23:37:11 2021 +0200

    branding

commit 921c40f09baba429c0da549a5f2860fe7ef52a2e
Merge: 69358fbe cb11fd9c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 20:26:31 2021 +0200

    Merge pull request #31 from ailin-nemui/package-version
    
    add a PACKAGE_VERSION override for meson

commit 69358fbe7c2db5d2af5f25dbde1a4438f9344ce8
Merge: 3e08ac53 9e128901
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 20:26:12 2021 +0200

    Merge pull request #15 from ailin-nemui/server-outgoing
    
    Add a "server outgoing modify" signal to intercept outgoing messages

commit 9e128901104afb61ca29926e4421aadda031f38d
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 18:32:49 2021 +0200

    add a "server outgoing modify" signal to intercept outgoing messages

commit 3e08ac538dcc62599cf32339334507768f8f307f
Merge: fe09dccd 37eb6c35
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 20:03:58 2021 +0200

    Merge pull request #33 from ailin-nemui/queues
    
    fix queue bug

commit 37eb6c351cd46af6b5827a4f6cd58dbe493067ca
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Sep 3 19:34:11 2021 +0200

    fix queue bug

commit fe09dccdcbedeb6b6a5ac3d79f134f6e3b73ac25
Merge: ce1eed94 63a5b80b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 18:00:31 2021 +0200

    Merge pull request #21 from ailin-nemui/sasl-plain-nonull
    
    only enable sasl plain when username and password are set

commit ce1eed94d11bce13ef983e53fa93389959ef7b6b
Merge: 03217a48 2de9c253
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 18:00:12 2021 +0200

    Merge pull request #26 from ailin-nemui/queues
    
    send channel sync requests "later" in the command queue

commit cb11fd9cf76a368d8672925d02272c8a24992017
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Sep 3 16:18:21 2021 +0200

    add a PACKAGE_VERSION override for meson

commit 03217a487e33fa5e73ee18edc3c3353f93287156
Merge: 10b5087d 37237f37
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 3 11:41:15 2021 +0200

    Merge pull request #29 from ailin-nemui/hilight-color
    
    actually remember the hilight -color

commit 10b5087deda7279a4ad8a89eb8cdabd3405c0cbe
Merge: 0e8717ac cf903840
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 2 23:46:43 2021 +0200

    Merge pull request #30 from vague666/patch-1
    
    Allow -tls_ca{file,path} '' to unset an argument

commit cf903840233904de85858aa180f1a6b2e339a45d
Author: Jari Matilainen <vague666@users.noreply.github.com>
Date:   Thu Sep 2 23:10:37 2021 +0200

    Allow -tls_ca{file,path} '' to unset an argument

commit 37237f377e639650a4eb92168661fe4d53989400
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Sep 2 22:38:53 2021 +0200

    actually remember the hilight -color

commit 2de9c25376c18776011a42dc9f2e3ff4370bb700
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 23:01:58 2021 +0200

    up abi

commit 157913bd98f1f95eb7eb58b2c73a8e6685f0c8cc
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 23:26:35 2021 +0200

    do not chase during netsplit

commit 240b79aa2677c5f21ec3350123eb573502bea85d
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Sep 1 22:56:06 2021 +0200

    send channel sync requests "later" in the command queue

commit 0e8717acf6420bf1bd198dc1b51f2a4225668c66
Merge: b7b91ed2 1a6d74ac
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 1 22:51:53 2021 +0200

    Merge pull request #23 from ailin-nemui/ssl-flip
    
    do not unconditionally enable tls on /connect -!

commit 82d2cd88e78b4bffe0c710dd940d1771506eced6
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Sep 1 13:37:37 2021 +0200

    Revert "Irssi does not take a political stance."
    
    This reverts commit a4486c236a3bf15192d0500b3a1892f7465826c7.

commit 1a30e646d9a450b19582bdf306d7aad66730a632
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Sep 1 13:37:17 2021 +0200

    Revert "Applied the updated docs changes in line with the upcoming blog post."
    
    This reverts commit 1773fa8d191c9f1dcc7c1e59dbcdf31c1263c918.

commit 939b773b8bea76dcf4ab33bb53d9899c84c218fb
Author: Ailin Nemui <ailin@d5421s.localdomain>
Date:   Wed Sep 1 13:37:07 2021 +0200

    Revert "Changed the support channel to LiberaChat."
    
    This reverts commit a5d4fd5aa7ad1d57c0b8e11e382944a3654cfa00.

commit 1a6d74ac2645cf4f1c980604894f60dbf29a2d95
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 21:54:41 2021 +0200

    fix reading of starttls = "no" in config, attempt 2

commit 6c47fcf10d5a4b7718a3351ea0571da4d9f3c536
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 21:49:29 2021 +0200

    Revert "Merge pull request #19 from ailin-nemui/starttls-no"
    
    This reverts commit 3324c5da89c694ce5bbd20ecb313da870d1bb914, reversing
    changes made to d3115f38550f26b935d4e22201d09287ce44e5ac.

commit 21701a1299cd6b64db5b2fb3765f578ff1f9fc6b
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 17:29:43 2021 +0200

    do not unconditionally enable tls on /connect -!

commit b7b91ed2bf49668b15d3c2768a0dce26b3cfa851
Merge: 3324c5da 4b506fc4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 31 15:30:48 2021 +0200

    Merge pull request #22 from ailin-nemui/ports
    
    Something with server add

commit 3324c5da89c694ce5bbd20ecb313da870d1bb914
Merge: d3115f38 92ade2f5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 31 15:17:03 2021 +0200

    Merge pull request #19 from ailin-nemui/starttls-no
    
    fix reading of starttls = "no" in config

commit d3115f38550f26b935d4e22201d09287ce44e5ac
Merge: 40018715 215cf088
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 31 15:16:54 2021 +0200

    Merge pull request #18 from ailin-nemui/ssl-verify
    
    fix reading of old config ssl_verify key

commit 215cf08828d14e5e307e0f334e51f7ac41e83329
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 19:40:41 2021 +0200

    fuzz server ssl init

commit e10e1c2da73a4af4ffc9acb3dd91b65feb93e6c7
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 18:43:50 2021 +0200

    fix reading of old config ssl_verify key

commit 92ade2f591475f310e83b4557012aa5480449fcb
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 19:40:41 2021 +0200

    fuzz server ssl init

commit 6710b357369e561138b2ee18da6acca1be3f97ed
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 19:31:56 2021 +0200

    fix reading of starttls = "no" in config

commit 63a5b80ba7c1df88544ee10fa66ca6202d7ed077
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 20:36:24 2021 +0200

    only enable sasl plain when username and password are set
    
    may fix #1325

commit 4b506fc45c518619f968377b925492a96c7041d5
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 14:49:56 2021 +0200

    remove duplicated servers on load

commit c4fd417ccef8f2af6b3efbc4afa72997949a79c9
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Tue Aug 31 11:09:42 2021 +0200

    up abi

commit 49903f41854114aec37a74a907135e17931b43c8
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 21:59:38 2021 +0200

    mess with server ports

commit 400187155260d42c2e982067d5d8ab7bc27d63f5
Merge: e88f4761 a07a4c1e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 30 22:15:08 2021 +0200

    Merge pull request #20 from ailin-nemui/fuzz-test
    
    use an internal build of openssl when fuzzer is enabled

commit a07a4c1ea886e35a17847ff004495e2f18b8b489
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Mon Aug 30 20:27:35 2021 +0200

    use an internal build of openssl when fuzzer is enabled

commit e88f476115f18154daae46178ab7b2ae1be781af
Merge: d6f876d5 b3f74fe0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Aug 15 16:17:49 2021 +0200

    Merge pull request #16 from ailin-nemui/log-server-time
    
    add a log_server_time setting

commit b3f74fe0ab1fd8dc145dab662e74eeaaeeb6fffe
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Sun Aug 15 15:58:10 2021 +0200

    up abi

commit 6a331399399dc9b91d75fbe6b065e31a2db49fe0
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Sat Aug 14 22:43:50 2021 +0200

    compat for glib 2.55

commit fdd61f5898c8a97b6a1088db717c16691d601d60
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 21:11:22 2021 +0200

    add a log_server_time setting

commit d6f876d5ca9ee22dd2b63446888c4f10b56cdeb9
Merge: a6722f5c 0c82a3ad
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Aug 15 15:56:11 2021 +0200

    Merge pull request #17 from ailin-nemui/cifuzz-fork
    
    Run CIFuzz docker manually

commit 0c82a3adfd48df33c971a74ff862d69e23e6909e
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Sun Aug 15 00:08:44 2021 +0200

    Workaround for google/oss-fuzz#3731
    
    Run CIFuzz docker manually

commit a6722f5c7122d1b5421c1d95418cfff5bc773eae
Merge: 85f0a4c1 5a8b23ca
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Aug 13 18:59:32 2021 +0200

    Merge pull request #14 from ailin-nemui/perl-draw-mod
    
    Allow access to "gui render line text" from Perl

commit 5a8b23cab0f758f78c0dc495ce788d0c58b8a661
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 17:38:57 2021 +0200

    up abi

commit 85f0a4c1f05674c40c710f5387f2a4e92d294af8
Merge: 7452ec34 6a52b5ac
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Aug 13 17:37:52 2021 +0200

    Merge pull request #13 from ailin-nemui/hilight
    
    Add code to make hilight work with textbuffer changes

commit 96e9ab41e9f353fc9612c27e3d61bc8ab978564d
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 17:32:25 2021 +0200

    add "gui render line text" to signals.txt

commit ed23d89a5a69b324ed05b5f9bd8115c34ad4b7a9
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 17:32:09 2021 +0200

    fix recursive crash in Perl scripts

commit 425178e793f03dfaa3b42f4999f3b04eaad48732
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 17:31:49 2021 +0200

    add GString to Perl

commit 1602b506a69d12f6d15014f1c6b246066e29e404
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 17:31:14 2021 +0200

    add LINE_INFO_META_REC to Perl

commit 6a52b5ac07fe57ebd5973871db64b775e41a3f84
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Aug 13 00:44:33 2021 +0200

    up abi

commit 5953b675b9411a87d111ea82ecd7c0876de3f186
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Aug 12 23:53:44 2021 +0200

    store the hilight result in the meta table and apply it during the "gui render line text" signal

commit 8d314eadf1350619d481cc5729c7bd74eec85693
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Aug 12 23:51:18 2021 +0200

    move TEXT_BUFFER_META_REC -> LINE_INFO_META_REC

commit 9677b07488b6b7b4ee7a425d8f2826669404d058
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Aug 12 23:49:40 2021 +0200

    fix wrong server_time in $line->get_meta

commit 7d13cfba074b7dc849f095a3281952ee38518a92
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Aug 12 23:48:37 2021 +0200

    add a meta table to all lines

commit 554a8556d27c66917ed274a76d8ba47bdc7ba13a
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Aug 12 23:46:31 2021 +0200

    fix use of wrong "equal" function in meta hash tables

commit 7452ec34ad1233558fa3bfc3078fe4569ae4bb21
Merge: b38d254d f147589e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Aug 11 15:59:10 2021 +0200

    Merge pull request #12 from ailin-nemui/ticho/singlenet
    
    can do /server add -matrix -network my_matrix_network

commit b38d254d044bf0d58c7ecce0812aa512c6b5236a
Merge: be7a3a85 3aeebd31
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 10 23:46:30 2021 +0200

    Merge pull request #11 from ailin-nemui/vague666/activity_hide_targets_tagstar
    
    Allow tag/* in activity_hide_targets

commit 3aeebd310db1c026d90bb05c4f8e7d1ae9ffe544
Author: Jari Matilainen <vague666@users.noreply.github.com>
Date:   Wed Jun 23 21:07:31 2021 +0200

    Update fe-common-core.c

commit d2062e34cf0e74faffb725928809837807ca67b9
Author: Jari Matilainen <vague666@users.noreply.github.com>
Date:   Wed Jun 23 20:56:05 2021 +0200

    Update fe-common-core.c

commit be7a3a85e711cf49f6bb9b2032a0e33039e2d1db
Merge: a6ca5121 77741b18
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 10 23:43:26 2021 +0200

    Merge pull request #10 from ailin-nemui/mteofrancis
    
    Fix minor typos in help text

commit 77741b187ca72ffef747eff3f36903bb1afbba21
Author: Francis M <francism@destinatech.com>
Date:   Tue Jun 22 16:10:55 2021 +0100

    Fix minor typos in help text

commit a6ca51215018190ff6acd562fc7233659218503e
Merge: 53b2e077 aecf0870
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 10 23:36:53 2021 +0200

    Merge pull request #9 from ailin-nemui/guntbert/issue-1329
    
    Add documentation for  escaping some characters

commit aecf0870143d9dc3530a9e6cc8b64928178d7794
Author: Guntbert Reiter <guntbert@gmx.at>
Date:   Sun May 30 21:11:10 2021 +0200

    Add documentation for  escaping some characters
    
    this is especially important when using `sendcmd` to send a password for autologin

commit 53b2e0775aca6de2b66c59e54929c7778c9122ce
Merge: 471046f5 700ec4c4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 10 22:36:03 2021 +0200

    Merge pull request #8 from ailin-nemui/ffrogman
    
    Fix cursor getting stuck for auto completions that changes case

commit 471046f5b628a42e44e55eb32788b46cc462ee88
Merge: ca9fcbc1 6591c946
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 10 22:17:19 2021 +0200

    Merge pull request #7 from ailin-nemui/names-limit
    
    add a limit to showing /NAMES on join

commit 6591c94635e4da69693cbe55dae747d970e6a52b
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Thu Jan 14 14:27:57 2021 +0100

    add a limit to showing /NAMES on join
    
    only show the counts if too many nicks

commit f147589e528722859d604446b6496a992602f3a9
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Jul 28 11:05:30 2021 +0200

    can do /server add -matrix -network my_matrix_network
    
    By Andrej Kacian

commit e31d42b381dd38f41d132ce1455a8cedb089b78a
Merge: a4486c23 a5d4fd5a
Author: Geert Hauwaerts <geert@hauwaerts.be>
Date:   Sun May 30 11:20:49 2021 +0300

    Merge pull request #1328 from irssi/docs-change
    
    Applied the updated docs changes in line with the upcoming blog post.

commit a5d4fd5aa7ad1d57c0b8e11e382944a3654cfa00
Author: Geert Hauwaerts <geert@hauwaerts.be>
Date:   Thu May 27 20:50:38 2021 +0300

    Changed the support channel to LiberaChat.

commit 1773fa8d191c9f1dcc7c1e59dbcdf31c1263c918
Author: Geert Hauwaerts <geert@hauwaerts.be>
Date:   Thu May 27 20:47:09 2021 +0300

    Applied the updated docs changes in line with the upcoming blog post.

commit a4486c236a3bf15192d0500b3a1892f7465826c7
Author: Geert Hauwaerts <geert@hauwaerts.be>
Date:   Wed May 26 09:24:32 2021 +0300

    Irssi does not take a political stance.

commit 700ec4c472dd415536a29ffe1509473d6cc588e9
Author: ffrogman <ffrogman@gmail.com>
Date:   Tue May 25 23:37:36 2021 -0400

    Fix cursor getting stuck for auto completions that exclusively change the case of letters

commit ca9fcbc1247514fdd044118b4cd7045589c979bd
Merge: 1ba48840 5779306d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun May 23 18:25:03 2021 +0200

    Merge pull request #1316 from FeepingCreature/feature/add-serv-shorthands
    
    Add aliases for ns, ms, os, cs shorthand commands supported by many servers to message services easily

commit 1ba48840a112dfacf13cbbf6b77c1e3489fefcf8
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed May 19 21:51:39 2021 +0200

    update default network

commit 5779306df01dc7c92f4e0bb20a69ab56547d7611
Author: Mathis Beer <Mathis.Beer@funkwerk-itk.com>
Date:   Thu May 20 10:20:33 2021 +0200

    Add aliases for ns, ms, os, cs shorthand commands supported by many servers to message services easily.

commit 58c9aecf86425630f043f554f0d11b625ed88be0
Merge: 5df2d6e3 a3248d43
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon May 17 14:43:31 2021 +0200

    Merge pull request #1315 from pekdon/otr_g_strndup
    
    Use g_strndup, strndup is not available on old platforms

commit 5df2d6e30039c54933c54f297600f789aa044ff2
Merge: 768658f5 f5303c15
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon May 17 10:54:21 2021 +0200

    Merge pull request #1312 from ailin-nemui/nocap
    
    slightly improve nocap detection
